%define name    dssl
%define version 1.4.4
%define release %mkrel 4
%define major 0
%define api 1.4
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    DSSL library: network capture and SSL decryption toolkit
License:    GPLv3+
Group:      Networking/Other
URL:        http://www.ssltech.net/
Source:     http://www.ssltech.net/downloads/%{name}-%{version}.tar.gz
Patch0:		dssl-samples.diff
BuildRequires:  openssl-devel
BuildRequires:	pcap-devel
BuildRequires:  zlib-devel
%if %mdkversion < 200800
BuildRoot:  %{_tmppath}/%{name}-%{version}
%endif

%description
DSSL library is a network caputre and SSL decryption toolkit useful for snort and other SSL aware 
software.

%package -n     %{libname}
Summary:        Main library for dssl
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
DSSL library is a network caputre and SSL decryption toolkit useful for snort and other SSL aware
software.


%package        -n     %{develname}
Summary:        Header files for the dssl library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Requires:  openssl-devel
Requires:  libpcap-devel
Requires:  zlib-devel

%description    -n %{develname}
DSSL library is a network caputre and SSL decryption toolkit useful for snort and other SSL aware
software.  These are .h files.

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%prep
%setup -q 
%patch0 -p1 -b .sample_fix

export LIBS=-lpcap 
%configure2_5x --enable-shared

%build
%make
%install
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc docs/*
%doc docs/dssl/*
%{_libdir}/libdssl.so.%{major}*


%files  -n %{develname}
%defattr(-,root,root)
%{_includedir}/dssl/*
%{_bindir}/ssltrace
%{_libdir}/libdssl.so
%{_libdir}/libdssl.a
%{_libdir}/libdssl.la




%changelog
* Thu Mar 26 2009 Emmanuel Andry <eandry@mandriva.org> 1.4.4-4mdv2009.1
+ Revision: 361513
- fix license
- fix wrong major
- use major macro in file list
- move devel .so file in devel package

* Thu Mar 26 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.4.4-3mdv2009.1
+ Revision: 361494
- Fixing share libs build (again)
- Fixing share libs build (again)
- Fixing share libs build
- Missing zlib-devel
- correct some files
- import dssl


* Thu Feb 12 2009 Daniel Lucio <dlucio@okay.com.mx> 1.4.4-1mdv2009.1
- Import
